Package org.eclipse.net4j.buffer

## Interface IBufferProvider

- All Known Subinterfaces:
    `IBufferPool`, `IBufferPool.Introspection`, `IBufferProvider.Introspection`, `IBufferProvider.Notification`, `InternalChannel`, `InternalChannelMultiplexer`, `InternalConnector`
  All Known Implementing Classes:
    `Channel`, `ChannelMultiplexer`, `Connector`

      public interface IBufferProvider

  Provides clients with the ability to obtain and retain `IBuffer`s.
  Author:
    Eike Stepper

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface | Description
    --- | --- | ---
    `static interface` | `IBufferProvider.Introspection` | Offers additional introspection features for `buffer providers`.
    `static interface` | `IBufferProvider.Notification` | Offers additional notification features for `buffer providers`.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `short` | `getBufferCapacity()` | Returns the capacity of the buffers provided by `provideBuffer()` .
    `IBuffer` | `provideBuffer()` | Provides a buffer from this `BufferProvider`.
    `void` | `retainBuffer​(IBuffer buffer)` | Retains a buffer to this `BufferProvider`.

- - ### Method Detail

    - #### getBufferCapacity

          short getBufferCapacity()

      Returns the capacity of the buffers provided by `provideBuffer()` .

    - #### provideBuffer

          IBuffer provideBuffer()

      Provides a buffer from this `BufferProvider`.

    - #### retainBuffer

          void retainBuffer​(IBuffer buffer)

      Retains a buffer to this `BufferProvider`.